Get video task
curl --request GET \
--url https://api.omnimux.ai/v1/video/generations/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnimux.ai/v1/video/generations/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnimux.ai/v1/video/generations/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.omnimux.ai/v1/video/generations/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Task management
Query Video Task
GET /v1/video/generations/ · poll video generation
GET
/
v1
/
video
/
generations
/
{task_id}
Get video task
curl --request GET \
--url https://api.omnimux.ai/v1/video/generations/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnimux.ai/v1/video/generations/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnimux.ai/v1/video/generations/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.omnimux.ai/v1/video/generations/{task_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
- Only for
task_idfrom video seriesPOST /v1/video/generations- Not OpenAI Videos
/v1/videos/{id}or/contentdownload- Auth:
Authorization: Bearer sk-...
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
task_id | string | yes | Id from the create response |
Response (summary)
| Field | Notes |
|---|---|
status | e.g. queued / in_progress / completed / failed (live) |
task_id / id | Task id |
| Result fields | May include output URLs when completed; shape varies by model |
https://api.omnimux.ai
See Connection and usage and Cost optimization (402).